import { ConnectionStorage } from '@mongodb-js/connection-storage/renderer';
import type { ConnectionInfo } from '@mongodb-js/connection-info';
import type { RootAction } from '.';
declare const CHANGE_CONNECTION_INFO: "sidebar/connection/CHANGE_CONNECTION_INFO";
interface ChangeConnectionInfoAction {
    type: typeof CHANGE_CONNECTION_INFO;
    connectionInfo: ConnectionInfo;
}
declare const SAVE_CONNECTION_INFO: "sidebar/connection/SAVE_CONNECTION_INFO";
interface SaveConnectionInfoAction {
    type: typeof SAVE_CONNECTION_INFO;
    connectionInfo: ConnectionInfo;
}
export declare const INITIAL_STATE: ConnectionInfoState;
export interface ConnectionInfoState {
    connectionInfo: Omit<ConnectionInfo, 'id'> & Partial<ConnectionInfo>;
    connectionStorage: typeof ConnectionStorage;
}
export type ConnectionInfoAction = ChangeConnectionInfoAction | SaveConnectionInfoAction;
export default function reducer(state: ConnectionInfoState | undefined, action: RootAction): ConnectionInfoState;
export declare const changeConnectionInfo: (connectionInfo: ConnectionInfo) => ChangeConnectionInfoAction;
export declare const updateAndSaveConnectionInfo: (connectionInfo: ConnectionInfo) => SaveConnectionInfoAction;
export {};
//# sourceMappingURL=connection-info.d.ts.map