import type { DataService } from 'mongodb-data-service';
import type { RootAction, SidebarThunkAction } from '.';
export declare const SET_DATASERVICE: "sidebar/SET_DATASERVICE";
interface SetDataServiceAction {
    type: typeof SET_DATASERVICE;
    dataService: DataService;
}
export declare const SET_CSFLE_ENABLED: "sidebar/SET_CSFLE_ENABLED";
interface SetCSFLEEnabledAction {
    type: typeof SET_CSFLE_ENABLED;
    enable: boolean;
}
export type DataServiceAction = SetDataServiceAction | SetCSFLEEnabledAction;
export type DataServiceState = DataService | null;
export declare const INITIAL_STATE: DataServiceState;
export default function reducer(state: DataServiceState | undefined, action: RootAction): DataServiceState;
export declare const setDataService: (dataService: DataService) => SetDataServiceAction;
export declare const setConnectionIsCSFLEEnabled: (enable: boolean) => SidebarThunkAction<void, SetCSFLEEnabledAction>;
export {};
//# sourceMappingURL=data-service.d.ts.map