import type { MongoDBInstance } from 'mongodb-instance-model';
import type { RootAction } from '.';
export declare const CHANGE_INSTANCE: "sidebar/instance/CHANGE_INSTANCE";
export interface ChangeInstanceAction {
    type: typeof CHANGE_INSTANCE;
    instance: InstanceState;
}
export declare const INITIAL_STATE: InstanceState;
export type InstanceState = null | Pick<MongoDBInstance, 'status' | 'refreshingStatus' | 'databasesStatus' | 'csfleMode' | 'build' | 'dataLake' | 'genuineMongoDB' | 'topologyDescription' | 'isWritable' | 'env' | 'isAtlas' | 'isLocalAtlas'>;
export type InstanceAction = ChangeInstanceAction;
export default function reducer(state: InstanceState | undefined, action: RootAction): InstanceState;
export declare const changeInstance: (instance: InstanceState) => {
    type: "sidebar/instance/CHANGE_INSTANCE";
    instance: InstanceState;
};
//# sourceMappingURL=instance.d.ts.map