import type { RootAction } from '.';
export declare const TOGGLE: "sidebar/TOGGLE";
interface ToggleAction {
    type: typeof TOGGLE;
}
export declare const SET_EXPANDED: "sidebar/SET_EXPANDED";
interface SetExpandedAction {
    type: typeof SET_EXPANDED;
    isExpanded: boolean;
}
export type IsExpandedAction = ToggleAction | SetExpandedAction;
export type IsExpandedState = boolean;
export declare const INITIAL_STATE: IsExpandedState;
export default function reducer(state: boolean | undefined, action: RootAction): IsExpandedState;
export declare const toggleSidebar: () => ToggleAction;
export declare const setIsExpanded: (isExpanded: boolean) => SetExpandedAction;
export {};
//# sourceMappingURL=is-expanded.d.ts.map