import React from 'react';
import type { Database } from '../modules/databases';
type RefreshingStatus = 'initial' | 'fetching' | 'refreshing' | 'ready' | 'error';
export declare function DBStats({ refreshingStatus, databases, }: {
    refreshingStatus: RefreshingStatus;
    databases: Database[];
}): JSX.Element;
declare const MappedDBStats: import("react-redux").ConnectedComponent<typeof DBStats, {
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default MappedDBStats;
//# sourceMappingURL=db-stats.d.ts.map