import React from 'react';
import type { ConnectionInfo } from '@mongodb-js/connection-info';
export declare function Sidebar({ showConnectionInfo, activeWorkspace, isExpanded, connectionInfo, updateAndSaveConnectionInfo, isGenuineMongoDBVisible, toggleIsGenuineMongoDBVisible, setIsExpanded, setConnectionIsCSFLEEnabled, isGenuine, csfleMode, onSidebarAction, }: {
    showConnectionInfo?: boolean;
    activeWorkspace: {
        type: string;
        namespace?: string;
    } | null;
    isExpanded: boolean;
    connectionInfo: Omit<ConnectionInfo, 'id'> & Partial<ConnectionInfo>;
    updateAndSaveConnectionInfo: any;
    isGenuineMongoDBVisible: boolean;
    toggleIsGenuineMongoDBVisible: (isVisible: boolean) => void;
    setIsExpanded: (isExpanded: boolean) => void;
    setConnectionIsCSFLEEnabled: (enabled: boolean) => void;
    isGenuine?: boolean;
    csfleMode?: 'enabled' | 'disabled' | 'unavailable';
    onSidebarAction(action: string, ...rest: any[]): void;
}): JSX.Element;
declare const MappedSidebar: import("react-redux").ConnectedComponent<typeof Sidebar, {
    showConnectionInfo?: boolean | undefined;
    activeWorkspace: {
        type: string;
        namespace?: string;
    } | null;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default MappedSidebar;
//# sourceMappingURL=sidebar.d.ts.map