import type { RootAction } from '.';
export declare const CHANGE_CONNECTION_OPTIONS: "sidebar/connection-options/CHANGE_CONNECTION_OPTIONS";
interface ChangeConnectionOptionsAction {
    type: typeof CHANGE_CONNECTION_OPTIONS;
    options: ConnectionOptionsState;
}
export type ConnectionOptionsAction = ChangeConnectionOptionsAction;
export declare const INITIAL_STATE: ConnectionOptionsState;
export type ConnectionOptionsState = {
    sshTunnel: boolean;
    sshTunnelHostname: string;
    sshTunnelPort: string | number;
    sshTunnelHostPortString: string;
};
export default function reducer(state: ConnectionOptionsState | undefined, action: RootAction): ConnectionOptionsState;
export declare function changeConnectionOptions(connectionOptions: {
    sshTunnel?: {
        host: string;
        port: string | number;
    };
}): ConnectionOptionsAction;
export {};
//# sourceMappingURL=connection-options.d.ts.map