import type { ActivateHelpers, AppRegistry } from 'hadron-app-registry';
import type { MongoDBInstance } from 'mongodb-instance-model';
import type { DataService } from 'mongodb-data-service';
import type { ConnectionInfo } from '@mongodb-js/connection-info';
import type { LoggerAndTelemetry } from '@mongodb-js/compass-logging/provider';
export declare function createSidebarStore({ globalAppRegistry, instance, dataService, connectionInfo, logger: { log, mongoLogId }, }: {
    globalAppRegistry: AppRegistry;
    instance: MongoDBInstance;
    dataService: DataService;
    connectionInfo: ConnectionInfo | null | undefined;
    logger: LoggerAndTelemetry;
}, { on, cleanup, addCleanup }: ActivateHelpers): {
    store: import("redux").Store<import("redux").EmptyObject & import("../modules").RootState, import("../modules").RootAction> & {
        dispatch: import("redux-thunk").ThunkDispatch<any, {
            globalAppRegistry: AppRegistry;
        }, import("redux").AnyAction>;
    };
    deactivate: () => void;
};
//# sourceMappingURL=store.d.ts.map